%define pkg_name        Module-Reload
%define pkg_version     1.07
%define rpm_pkg_version 1.07
%define rpm_pkg_release 2.n0i.2

Summary:       Reloads files in %%INC based on timestamps
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JP/JPRIT/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
When Perl pulls a file via "require", it stores the filename in the global
hash %%INC. The next time Perl tries to "require" the same file, it sees the
file in %%INC and does not reload from disk. This module's handler iterates
over %%INC and reloads the file if it has changed on disk.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.07-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Wed Jul 27 2005 Marius Feraru <altblue@n0i.net> 1.07-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
